. $PSScriptRoot\obterBuildTools.ps1

$script:valorLarguraColunaDescricao = $null

function global:mu.copiarAlgunsValoresDoWebConfig() {
    param(
        $nomeServico,
        $configuracoes,
        $diretorioReleaseWeb
    )
    $buildTools = mu.obterBuildTools $configuracoes $diretorioReleaseWeb
    if (Test-Path $diretorioInstalacao\Web.config) {
        $script:valorLarguraColunaDescricao = & $buildTools getxmldata $diretorioInstalacao\Web.config /configuration/appSettings/add[@key="'"larguraColunaDescricao"'"]/@value "null"
    }
}

function global:mu.restaurarValoresDoWebConfig() {
    param(
        $nomeServico,
        $configuracoes,
        $diretorioReleaseWeb
    )
    $buildTools = mu.obterBuildTools $configuracoes $diretorioReleaseWeb
    if ($null -ne $script:valorLarguraColunaDescricao) {
        & $buildTools changexmldata $diretorioInstalacao\Web.config /configuration/appSettings/add[@key="'"larguraColunaDescricao"'"]/@value $script:valorLarguraColunaDescricao
     }
}